
[//]: #(markmark-syntax: v1)
[//]: #(markmark-author-name: Garrett Mills)
[//]: #(markmark-author-email: shout@garrettmills.dev)
[//]: #(markmark-author-href: https://garrettmills.dev/)

# Games

- OpenTTD - open-source implementation of Transport Tycoon Deluxe
  - https://www.openttd.org/
- Dwarf Fortress
  - https://www.bay12games.com/dwarves/

# Recipes & Cooking

- Homemade Pumpkin Pie Filling
  - https://unsophisticook.com/homemade-pumpkin-pie-filling/

# Tech Projects

Tech projects that I found interesting, funny, or wanted to experiment with later.

- ScratchDB - Open-Source Snowflake on ClickHouse
  - https://www.scratchdb.com/
  - https://github.com/scratchdata/ScratchDB
- COBOL for GCC Development  #lang
  - https://cobolworx.com/pages/cobforgcc.html

# Technical Guides

- EV Code Certificates + Automated Builds for Windows
  - https://medium.com/@joshualipson/ev-code-certificates-automated-builds-for-windows-6100fb8e8be6

# Blogs & Posts

- Dan Luu  #dev
  - https://danluu.com/
  - https://danluu.com/everything-is-broken/
- The Case of a Curious SQL Query - Justing Jaffray  #dev
  - https://buttondown.email/jaffray/archive/the-case-of-a-curious-sql-query/
- An Aborted Experiment with Server Swift - flak Blog  #dev
  - https://flak.tedunangst.com/post/an-aborted-experiment-with-server-swift
- The Grug Brained Developer  #dev
  - https://grugbrain.dev/
- Code Rant - The Configuration Complexity Clock  #dev
  - https://mikehadlow.blogspot.com/2012/05/configuration-complexity-clock.html
- Mark L. Irons - Patterns for Personal Web Sites #dev #archive
  - https://web.archive.org/web/20190904131208/http://www.rdrop.com/~half/Creations/Writings/Web.patterns/index.html
  - https://web.archive.org/web/20190826113439/http://www.rdrop.com/~half/Creations/Writings/Web.patterns/standard.header.and.footer.html
  - https://web.archive.org/web/20200107155946/http://www.rdrop.com/~half/Creations/Writings/Web.patterns/history.page.html
  - https://web.archive.org/web/20200107162931/http://www.rdrop.com/~half/Creations/Writings/Web.patterns/index.pages.html
  - https://web.archive.org/web/20230314204244/http://www.rdrop.com/~half/Creations/Writings/Web.patterns/gift.to.the.community.html
  - https://web.archive.org/web/20211102185515/http://www.rdrop.com/~half/Creations/Writings/Web.patterns/downloadable.weblet.html
  - https://web.archive.org/web/20220120050151/http://www.rdrop.com/~half/Creations/Writings/Web.patterns/site.map.html
